#include "parse.h"
#include "playlist.h"

xdata struct id3_tag_struct {
	xdata char id3[4];
	xdata char title[31];
	xdata char artist[31];
	xdata char album[31];
	xdata char year[5];
	xdata char comment[31];
	unsigned char genre_code;
	unsigned char track_number;
};

extern struct id3_tag_struct id3_tag;

void lcd_setup(void);
void lcd_user_action(event_t event);
void lcd_display_filename(const xdata unsigned char *filename);
void lcd_update_2nd_line(const unsigned char refresh);
void lcd_display_playlist_name(const xdata unsigned char *pl_name);
void lcd_update_3rd_line(const unsigned char refresh);
void lcd_change(unsigned char parm);
void lcd_change_menu(unsigned char action);
void lcd_navigation(unsigned char x, unsigned char y, const unsigned char *navtext,
	unsigned char this_control);
void lcd_display_id3_init();
void lcd_display_id3_struct();
void lcd_screen_dynamic(const unsigned char refresh);
void lcd_startup_message(const char *str);


#define LCD_VOLUME      40
#define LCD_TREBLE      41
#define LCD_BASS        42
#define LCD_RANDOM_MODE 43
#define LCD_PLAY_MODE   44
#define LCD_TREBLE_FREQ	45
#define LCD_BASS_FREQ	46

#define SCROLL_SPEED 5

